Summary: files needed to run yum updates as a cron job
Name: yum-cron
Version: 0.1
Release: 1%{?dist}
URL: http://linux.duke.edu/yum/
Source0: %{name}-%{version}.tar.gz
License: GPL
Group: System Environment/Base
BuildArchitectures: noarch
Requires: yum vixie-cron crontabs
Prereq: /sbin/chkconfig, /sbin/service, coreutils
BuildRoot: %{_tmppath}/%{name}-root

%description
These are the files needed to run yum updates as a cron job.  They are
lifted straight from yum-2.6.1-0.fc5, but were left out of FC6's yum.
Install this package if you want auto yum updates nightly via cron
rather than the newer yum-updatesd daemon.

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
install -D -m 755 yum.cron.daily $RPM_BUILD_ROOT/%{_sysconfdir}/cron.daily/yum.cron
install -D -m 755 yum.cron.weekly $RPM_BUILD_ROOT/%{_sysconfdir}/cron.weekly/yum.cron
install -D -m 755 yum $RPM_BUILD_ROOT/%{_sysconfdir}/rc.d/init.d/yum
install -D -m 644 yum-daily.yum $RPM_BUILD_ROOT/%{_sysconfdir}/yum/yum-daily.yum

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add yum
/sbin/chkconfig yum on
/sbin/service yum condrestart >> /dev/null
exit 0

%preun
if [ $1 = 0 ]; then
 /sbin/chkconfig --del yum
 /sbin/service yum stop >> /dev/null
fi
exit 0


%files
%defattr(-,root,root)
%doc COPYING README
%config(noreplace) %{_sysconfdir}/cron.daily/yum.cron
%config(noreplace) %{_sysconfdir}/cron.weekly/yum.cron
%config(noreplace) %{_sysconfdir}/yum/yum-daily.yum
%config %{_sysconfdir}/rc.d/init.d/yum

%changelog
* Thu Mar 15 2007 Karanbir Singh <kbsingh@centos.org>
- Build for CentOS-5

* Tue Oct 31 2006 Alec Habig <ahabig@umn.edu>
- Initial packaging of old scripts as a standalone rpm for use in FC6
